Subject: bug#69809: 30.0.50; flymake: error in process sentinel

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jul 2024 13:50:50 +0300

> From: João Távora <[email-masked]>
> Date: Thu, 25 Jul 2024 08:45:12 +0100
> Cc: Spencer Baugh <[email-masked]>, [email-masked], [email-masked], 
> 	[email-masked], [email-masked]
> 
> On Thu, Jul 25, 2024 at 8:28 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Spencer Baugh <[email-masked]>
>  > Cc: Eshel Yaron <[email-masked]>,  [email-masked],  Eli
>  >   Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
>  > Date: Wed, 24 Jul 2024 12:25:00 -0400
>  > 
>  > >  Spencer please have a look and push it if you agree.
>  > 
>  > Yes, this seems good to me, thank you for the improved patch!
>  > 
>  > I unfortunately don't have commit access, so perhaps someone else can
>  > install the patch.
> 
>  I tried installing the last patch posted by João, but it failed to
>  apply, even with the -3 option and with options that ignore whitespace
>  changes.
> 
>  João, please either install this on the emacs-30 branch or post an
>  updated patch that will apply cleanly.
> 
> I posted two patches (as attached .patch files) Maybe that's the issue.  
> Not 100% what patches Spencer has tested or greenlighting.

I tried to install the latter one, since you said it was an
improvement over the previous one.  If you suggest to install the
previous one, the one that Spencer approved, I can try doing that
instead.